Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(99)

Issue 2844493002: QuicChromiumClientSession::StreamRequest to be created by the session (Closed)

Created:
2 years, 6 months ago by Ryan Hamilton
Modified:
2 years, 6 months ago
Reviewers:
Jana
CC:
chromium-reviews, cbentzel+watch_chromium.org, net-reviews_chromium.org
Target Ref:
refs/heads/master
Project:
chromium
Visibility:
Public.

Description

QuicChromiumClientSession::StreamRequest to be created by the session on demand to the client. Make the request hold the stream until the caller asks for it, and make explicit cancellation unnecessary. This is in preparation for subsquent cleanups of the session. Review-Url: https://codereview.chromium.org/2844493002 Cr-Commit-Position: refs/heads/master@{#467247} Committed: https://chromium.googlesource.com/chromium/src/+/1baa747be827c77f3fad895f072eac6dee1cf18c

Patch Set 1 #

Patch Set 2 : cleanup #

Total comments: 4

Patch Set 3 : Rebase #

Unified diffs Side-by-side diffs Delta from patch set Stats (+182 lines, -43 lines) Patch
M net/quic/chromium/bidirectional_stream_quic_impl.h View 1 chunk +1 line, -1 line 0 comments Download
M net/quic/chromium/bidirectional_stream_quic_impl.cc View 1 2 chunks +5 lines, -4 lines 0 comments Download
M net/quic/chromium/quic_chromium_client_session.h View 4 chunks +12 lines, -11 lines 0 comments Download
M net/quic/chromium/quic_chromium_client_session.cc View 3 chunks +29 lines, -17 lines 0 comments Download
M net/quic/chromium/quic_chromium_client_session_test.cc View 1 2 5 chunks +130 lines, -7 lines 0 comments Download
M net/quic/chromium/quic_http_stream.h View 1 chunk +1 line, -1 line 0 comments Download
M net/quic/chromium/quic_http_stream.cc View 1 2 chunks +4 lines, -2 lines 0 comments Download

Depends on Patchset:

Messages

Total messages: 18 (12 generated)
Ryan Hamilton
2 years, 6 months ago (2017-04-25 17:30:39 UTC) #2
Jana
I think I grok what's going on, but trying to make sure that I follow ...
2 years, 6 months ago (2017-04-25 19:30:21 UTC) #7
Ryan Hamilton
Thanks! https://codereview.chromium.org/2844493002/diff/20001/net/quic/chromium/quic_chromium_client_session.cc File net/quic/chromium/quic_chromium_client_session.cc (right): https://codereview.chromium.org/2844493002/diff/20001/net/quic/chromium/quic_chromium_client_session.cc#newcode208 net/quic/chromium/quic_chromium_client_session.cc:208: session_.reset(); On 2017/04/25 19:30:20, Jana wrote: > TryCreateStream() ...
2 years, 6 months ago (2017-04-25 20:31:48 UTC) #10
Jana
lgtm
2 years, 6 months ago (2017-04-26 05:40:04 UTC) #13
commit-bot: I haz the power
CQ is trying da patch. Follow status at: https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2844493002/40001
2 years, 6 months ago (2017-04-26 05:40:37 UTC) #15
commit-bot: I haz the power
2 years, 6 months ago (2017-04-26 05:44:09 UTC) #18
Message was sent while issue was closed.
Committed patchset #3 (id:40001) as
https://chromium.googlesource.com/chromium/src/+/1baa747be827c77f3fad895f072e...

Powered by Google App Engine
This is Rietveld 408576698